## ros-foxy-plansys2-terminal 1.0.10

=== CMakeLists.txt ===
project(plansys2_terminal)
cmake_minimum_required(VERSION 3.5)

find_package(Threads REQUIRED)

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(plansys2_msgs REQUIRED)
find_package(plansys2_domain_expert REQUIRED)
find_package(plansys2_problem_expert REQUIRED)
find_package(plansys2_planner REQUIRED)
find_package(plansys2_executor REQUIRED)
find_package(plansys2_pddl_parser REQUIRED)

set(CMAKE_CXX_STANDARD 17)

set(dependencies
    rclcpp
    rclcpp_action
    rclcpp_lifecycle
    plansys2_msgs
    plansys2_domain_expert
    plansys2_problem_expert
    plansys2_planner
    plansys2_executor
    plansys2_pddl_parser
)

include_directories(include)

add_library(terminal SHARED
  src/plansys2_terminal/Terminal.cpp)
ament_target_dependencies(terminal ${dependencies})
target_compile_definitions(terminal PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")

add_executable(${PROJECT_NAME}
  src/terminal_node.cpp)
ament_target_dependencies(${PROJECT_NAME} ${dependencies})
target_link_libraries(${PROJECT_NAME} terminal readline)

install(TARGETS
  terminal
  ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_index_cpp REQUIRED)
  find_package(lifecycle_msgs REQUIRED)

  set(dependencies ${dependencies} ament_index_cpp lifecycle_msgs)

  add_subdirectory(test)
endif()

ament_package()

=== test/CMakeLists.txt ===
ament_add_gtest(terminal_test terminal_test.cpp)
ament_target_dependencies(terminal_test ${dependencies})
target_link_libraries(terminal_test terminal readline)

install(DIRECTORY
  pddl
  DESTINATION share/${PROJECT_NAME}
)

=== debian/changelog ===
ros-foxy-plansys2-terminal (1.0.10-1focal) focal; urgency=high

  * Revert wrong directory move
  * Remove node parameter in client constructors
  * Enabling code coverage of plansys2_terminal::Terminal node init functions.
  * Adding unit tests for new functions in plansys2_terminal.
  * Add ability to read in pddl problem files to plansys2 and a new AddProblem service to the plansys2_problem_expert.
    Adding problem_file node parameter to plansys2_problem_expert to load a single problem file at launch.
  * ros2-plan-msg: Passing plan to executor to add further separation between plan creation and plan execution.
  * Linting
  * Fix set predicates with no arguments
  * Suggestion for #118 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/118>
  * pddl-tree-messages: Performing some minor cleanup.
  * pddl-tree-messages: Using explicit specifier for single parameter constructors in plansys2_core/Types.hpp.
  * pddl-tree-messages: Replacing user access function calls with shorter versions where possible.
  * pddl-tree-messages: Updating addInstance and removeInstance calls to use helper classes.
  * pddl-tree-messages: Merging upstream master and resolving conflicts.
  * pddl-tree-messages: Using ROS messages to define the PDDL construct trees.
  * Fix tests and linting
  * Update version
  * Contributors: Alexander Xydes, Francisco Martín Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 02 Jul 2021 22:00:00 -0000

ros-foxy-plansys2-terminal (1.0.9-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 14 Mar 2021 23:00:00 -0000

ros-foxy-plansys2-terminal (1.0.8-1focal) focal; urgency=high

  * Action execution refactoring
  * Add support for numeric conditions and effects.
  * Monitorization info
  * fix minor typo
  * Adding actor checker in terminal
  * Remove debugging traces
  * Fix the call of the get_problem_instance service
  * Contributors: Fabrice Larribe, Francisco Martin Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 11 Mar 2021 23:00:00 -0000

ros-foxy-plansys2-terminal (1.0.7-1focal) focal; urgency=high

  * Making explicit dependencies
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 03 Jan 2021 23:00:00 -0000

ros-foxy-plansys2-terminal (1.0.6-1focal) focal; urgency=high

  * Disable boost functions
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 28 Dec 2020 23:00:00 -0000

ros-foxy-plansys2-terminal (1.0.5-1focal) focal; urgency=high

  * Migration to c++17
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 27 Dec 2020 23:00:00 -0000

ros-foxy-plansys2-terminal (1.0.4-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 23 Dec 2020 23:00:00 -0000

ros-foxy-plansys2-terminal (1.0.3-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 22 Dec 2020 23:00:00 -0000

ros-foxy-plansys2-terminal (1.0.2-1focal) focal; urgency=high

  * Plan solvers as plugins
  * Contributors: Fabrice Larribe, Francisco Martin Rico, f269858

 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 22 Dec 2020 23:00:00 -0000

ros-foxy-plansys2-terminal (1.0.1-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 18 Jul 2020 22:00:00 -0000

ros-foxy-plansys2-terminal (1.0.0-1focal) focal; urgency=high

  * Foxy initial version
  * Boost:optional
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 18 Jul 2020 22:00:00 -0000

ros-foxy-plansys2-terminal (0.0.8-1focal) focal; urgency=high

  * Add BT support
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 17 Jul 2020 22:00:00 -0000

ros-foxy-plansys2-terminal (0.0.7-1focal) focal; urgency=high

  * Fix warning in last cmake versions
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Fix spaces in command line
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 25 Mar 2020 23:00:00 -0000

ros-foxy-plansys2-terminal (0.0.6-1focal) focal; urgency=high

  * Terminal completion functionality
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Add multi domain
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 22 Mar 2020 23:00:00 -0000

ros-foxy-plansys2-terminal (0.0.5-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 11 Jan 2020 23:00:00 -0000

ros-foxy-plansys2-terminal (0.0.4-1focal) focal; urgency=high

  * Adding missing action dependencies
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 08 Jan 2020 23:00:00 -0000

ros-foxy-plansys2-terminal (0.0.3-1focal) focal; urgency=high

  * Add readline dependency
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 08 Jan 2020 23:00:00 -0000

ros-foxy-plansys2-terminal (0.0.2-1focal) focal; urgency=high

  * Packages.xml description
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Improved stdin read
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * First functional version complete
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Execute actions independiently. Example
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Change to lowercasegit
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Executor initial version
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * First version of planner complete


=== debian/control ===
Source: ros-foxy-plansys2-terminal
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libreadline-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest, ros-foxy-ament-index-cpp, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-lifecycle-msgs, ros-foxy-plansys2-domain-expert, ros-foxy-plansys2-executor, ros-foxy-plansys2-msgs, ros-foxy-plansys2-pddl-parser, ros-foxy-plansys2-planner, ros-foxy-plansys2-problem-expert, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-rclcpp-lifecycle, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-plansys2-terminal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libreadline-dev, ros-foxy-plansys2-domain-expert, ros-foxy-plansys2-executor, ros-foxy-plansys2-msgs, ros-foxy-plansys2-pddl-parser, ros-foxy-plansys2-planner, ros-foxy-plansys2-problem-expert, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-rclcpp-lifecycle, ros-foxy-ros-workspace
Description: A terminal tool for monitor and manage the ROS2 Planning System

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-plansys2-terminal//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
